<!--
Contains the form fields for occurrence creation.

For now it depends on a form object with the occurrence field. It also does not create the form itself and neither
submission buttons.
-->

<div class="card" id="occurrence-card" th:fragment="formFields (isCreate)" th:object="${form}">

    <input name="${_csrf.parameterName}" type="hidden" value="${_csrf.token}"/>

    <th:block th:unless="${isCreate}">
        <input th:field="*{occurrence.id}" type="hidden">
    </th:block>

    <div class="card-header">
        <span class="card-title" th:text="#{occurrence.form.title}">Dados de ocorrência</span>
    </div>
    <div class="card-body">
        <div class="row">
            <div class="col-md-12">
                <div class="form-group">
                    <label for="title" th:text="#{occurrence.form.label.title}">Título*</label>
                    <input class="form-control" id="title" required
                           th:classappend="${#fields.hasErrors('occurrence.title')} ? is-invalid"
                           th:field="*{occurrence.title}"
                           type="text">
                    <th:block th:insert="layout/fragments/form-field-errors :: errors('occurrence.title')">
                    </th:block>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-12">
                <div class="form-group">
                    <label for="description" th:text="#{occurrence.form.label.description}">Descrição*</label>
                    <textarea class="form-control" id="description" required
                              rows="5"
                              th:classappend="${#fields.hasErrors('occurrence.description')} ? is-invalid"
                              th:field="*{occurrence.description}">
                    </textarea>
                    <th:block th:insert="layout/fragments/form-field-errors :: errors('occurrence.description')">
                    </th:block>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label for="occurrence-date-label" th:text="#{occurrence.form.label.occurrenceDate}">Número*</label>
                    <input class="form-control" id="occurrence-date-label"
                           th:classappend="${#fields.hasErrors('occurrence.occurrenceDate')} ? is-invalid"
                           type="text">
                    <th:block th:insert="layout/fragments/form-field-errors :: errors('occurrence.occurrenceDate')">
                    </th:block>
                </div>

                <input id="occurrence-date-real" th:field="*{occurrence.occurrenceDate}" type="hidden">
            </div>


            <div class="col-md-6">
                <div class="form-group">
                    <label for="type" th:text="#{occurrence.form.label.occurrenceType}">Tipo*</label>
                    <select class="select2" id="type" required
                            th:attr="data-placeholder=#{occurrence.form.placeholder.occurrenceType}"
                            th:classappend="${#fields.hasErrors('occurrence.occurrenceType')} ? is-invalid"
                            th:field="*{occurrence.occurrenceType}">
                        <option value=""></option>
                        <option th:each="occurrenceType : ${occurrenceTypes}"
                                th:text="#{${occurrenceType.description.description}}" th:value="${occurrenceType.id}">
                        </option>
                    </select>
                    <th:block th:insert="layout/fragments/form-field-errors :: errors('occurrence.occurrenceType')">
                    </th:block>
                </div>
            </div>
        </div>

        <div class="row form-group">
            <div class="col-md-6">
                <div class="form-group">
                    <div class="row">
                        <div class="col-11">
                            <label>Boletim de ocorrência</label>
                            <div class="custom-file" id="customFile" lang="pt-BR">
                                <label class="custom-file-label" for="file"
                                       th:text="${form.occurrence.occurrenceDocument == null} ?
                           #{occurrence.form.label.file} : #{occurrence.document.defaultName}"></label>
                                <input class="custom-file-input" id="file"
                                       th:classappend="${#fields.hasErrors('occurrenceDocument')} ? is-invalid"
                                       th:field="*{occurrenceDocument}"
                                       type="file">
                                <th:block th:insert="layout/fragments/form-field-errors :: errors('occurrenceDocument')">
                                </th:block>
                            </div>
                        </div>

                        <div class="col-1 mt-auto mb-2">
                            <div
                                    th:if="${form.occurrence.occurrenceDocument != null and form.occurrence.id != null}">
                                <a class="btn btn-secondary btn-xs" data-toggle="tooltip" id="download-document-button"
                                   th:href="@{|/occurrence/${form.occurrence.id}/document/download/${form.occurrence.occurrenceDocument.id}|}"
                                   th:title="#{occurrence.document.defaultName}">
                                    <span class="fas fa-download"></span>
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>